Debian Bug report logs - #497399
RFP: bosspresentationtool -- BOSS Presentation Tool, a front end for keyjnote

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Prathibha <prathibhab@cdac.in>

Date: Mon, 1 Sep 2008 13:12:04 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, prathibhab@cdac.in, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#497399; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Prathibha <prathibhab@cdac.in>:
New Bug report received and forwarded. Copy sent to prathibhab@cdac.in, debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Prathibha <prathibhab@cdac.in>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: BOSS Presentation Tool -- BOSS Presentation Tool is a front end for keyjnote application. Keyjnote is a stylish presentation program that displays slideshows of pdf , directory containing images. In addition, BOSS Presentation can also be used to display the slide shows of odp, ppt or a pps document.
Date: Mon, 01 Sep 2008 18:41:21 +0530
Package: wnpp
Severity: wishlist
Owner: Prathibha <prathibhab@cdac.in>


* Package name    : BOSS Presentation Tool
  Version         : 2.0-6
  Upstream Author : Prathibha <prathibhab@cdac.in>
* URL             : http://192.168.31.126/boss/pool/main/b/boss-presentation-tool/
* License         : GPL
  Programming Lang: GTK+/C
  Description     : BOSS Presentation Tool is a front end for keyjnote application. This application is released with BOSS a GNU/Linux distribution. Keyjnote is a stylish presentation program that displays slideshows of pdf , directory containing images. In addition, BOSS Presentation Tool can also be used to display the slide shows of odp,ppt or a pps document.

KeyJnote

KeyJnote is a stylish presentation tool by Martin Fiedler with cool eye-candy slide effects and some really useful features. Unfortunatly viewing these presentations is not as easy as creating them: KeyJnote only provides a command line interface for tuning its features.

BOSS Presentation Tool

For those, who prefer the graphical way, BOSS Presentation Tool is the right tool. It provides an easy-to-use frontend to KeyJnote. All important command line switches are exposed through the GUI.

BOSS Presentation includes a feature to convert ppt,odp,pps document format to pdf.So using BOSS Presentation Tool a pdf,ppt,pps,odp or a directory containing one or more images can be displayed as slideshows. 

Requirements:

* python - 2.3,2.4 or 2.5
* python-opengl - OpenGL binding for Python
* python-pygame - SDL binding for Python
* python-imaging - the Python Imaging Library
* xpdf - for PDF rendering
* gs - Postscript interpreter for PDF rendering
(strongly recommended)
* pdftk - A program for retrieving PDF metadata (e.g. page titles) (optional)
* libpoppler-glib2 - PDF rendering library(GLib-based shared library)
* libpoppler - PDF rendering library
* libgnome2-0 - The GNOME 2 library - runtime files
* libgnomeui-0 - The GNOME 2 libraries (User Interface) - runtime files
* libglade2-0 -  library to load .glade files at runtime


-- System Information:
Debian Release: lenny/sid
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-486
Locale: LANG=en_IN, LC_CTYPE=en_IN (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Prathibha <prathibhab@cdac.in>:
Bug#497399; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Miriam Ruiz" <miriam@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Prathibha <prathibhab@cdac.in>. Full text and rfc822 format available.

Message #10 received at 497399@bugs.debian.org (full text, mbox):

From: "Miriam Ruiz" <miriam@debian.org>
To: Prathibha <prathibhab@cdac.in>, 497399@bugs.debian.org
Subject: Re: Bug#497399: ITP: BOSS Presentation Tool -- BOSS Presentation Tool is a front end for keyjnote application. Keyjnote is a stylish presentation program that displays slideshows of pdf , directory containing images. In addition, BOSS Presentation ca
Date: Mon, 1 Sep 2008 16:32:42 +0200
2008/9/1 Prathibha <prathibhab@cdac.in>:

> * URL             : http://192.168.31.126/boss/pool/main/b/boss-presentation-tool/

That seems an intranet address for me ;)

Greetings,
Miry




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Prathibha <prathibhab@cdac.in>:
Bug#497399; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Deepak Tripathi" <apenguinlinux@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Prathibha <prathibhab@cdac.in>. Full text and rfc822 format available.

Message #15 received at 497399@bugs.debian.org (full text, mbox):

From: "Deepak Tripathi" <apenguinlinux@gmail.com>
To: Prathibha <prathibhab@cdac.in>, 497399@bugs.debian.org
Subject: Re: Bug#497399: ITP: BOSS Presentation Tool -- BOSS Presentation Tool is a front end for keyjnote application. Keyjnote is a stylish presentation program that displays slideshows of pdf , directory containing images. In addition, BOSS Presentation ca
Date: Mon, 1 Sep 2008 22:42:01 +0530
[Message part 1 (text/plain, inline)]
Hi Prathibha,

HomePage URL which you have given is not valid ,Please give the valid URL.



Thanks
Deepak
irc- deepak

On Mon, Sep 1, 2008 at 6:41 PM, Prathibha <prathibhab@cdac.in> wrote:

> Package: wnpp
> Severity: wishlist
> Owner: Prathibha <prathibhab@cdac.in>
>
>
> * Package name    : BOSS Presentation Tool
>  Version         : 2.0-6
>  Upstream Author : Prathibha <prathibhab@cdac.in>
> * URL             :
> http://192.168.31.126/boss/pool/main/b/boss-presentation-tool/
> * License         : GPL
>  Programming Lang: GTK+/C
>  Description     : BOSS Presentation Tool is a front end for keyjnote
> application. This application is released with BOSS a GNU/Linux
> distribution. Keyjnote is a stylish presentation program that displays
> slideshows of pdf , directory containing images. In addition, BOSS
> Presentation Tool can also be used to display the slide shows of odp,ppt or
> a pps document.
>
> KeyJnote
>
> KeyJnote is a stylish presentation tool by Martin Fiedler with cool
> eye-candy slide effects and some really useful features. Unfortunatly
> viewing these presentations is not as easy as creating them: KeyJnote only
> provides a command line interface for tuning its features.
>
> BOSS Presentation Tool
>
> For those, who prefer the graphical way, BOSS Presentation Tool is the
> right tool. It provides an easy-to-use frontend to KeyJnote. All important
> command line switches are exposed through the GUI.
>
> BOSS Presentation includes a feature to convert ppt,odp,pps document format
> to pdf.So using BOSS Presentation Tool a pdf,ppt,pps,odp or a directory
> containing one or more images can be displayed as slideshows.
>
> Requirements:
>
> * python - 2.3,2.4 or 2.5
> * python-opengl - OpenGL binding for Python
> * python-pygame - SDL binding for Python
> * python-imaging - the Python Imaging Library
> * xpdf - for PDF rendering
> * gs - Postscript interpreter for PDF rendering
> (strongly recommended)
> * pdftk - A program for retrieving PDF metadata (e.g. page titles)
> (optional)
> * libpoppler-glib2 - PDF rendering library(GLib-based shared library)
> * libpoppler - PDF rendering library
> * libgnome2-0 - The GNOME 2 library - runtime files
> * libgnomeui-0 - The GNOME 2 libraries (User Interface) - runtime files
> * libglade2-0 -  library to load .glade files at runtime
>
>
> -- System Information:
> Debian Release: lenny/sid
> Architecture: i386 (i686)
>
> Kernel: Linux 2.6.22-3-486
> Locale: LANG=en_IN, LC_CTYPE=en_IN (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
>
>
>
> --
> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact
> listmaster@lists.debian.org
>
>


-- 
Deepak Tripathi
E3 71V3 8Y C063 (We Live By Code)
http://deepkatripathi.blogspot.com
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Prathibha <prathibhab@cdac.in>:
Bug#497399; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Kartik Mistry" <kartik.mistry@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Prathibha <prathibhab@cdac.in>. Full text and rfc822 format available.

Message #20 received at 497399@bugs.debian.org (full text, mbox):

From: "Kartik Mistry" <kartik.mistry@gmail.com>
To: Prathibha <prathibhab@cdac.in>, 497399@bugs.debian.org
Subject: Re: Bug#497399: ITP: BOSS Presentation Tool -- BOSS Presentation Tool is a front end for keyjnote application. Keyjnote is a stylish presentation program that displays slideshows of pdf , directory containing images. In addition, BOSS Presentation ca
Date: Mon, 1 Sep 2008 23:04:23 +0530
On Mon, Sep 1, 2008 at 6:41 PM, Prathibha <prathibhab@cdac.in> wrote:
> * Package name    : BOSS Presentation Tool

I doubt that this is acceptable package name. Should it be
boss-presentation-tool here?

> * URL             : http://192.168.31.126/boss/pool/main/b/boss-presentation-tool/

Please provide correct link. This is not working.

>  Description     : BOSS Presentation Tool is a front end for keyjnote application. This application is released with BOSS a GNU/Linux distribution. Keyjnote is a stylish presentation program that displays slideshows of pdf , directory containing images. In addition, BOSS Presentation Tool can also be used to display the slide shows of odp,ppt or a pps document.

Short description need to be short (finish it in 65 characters). You
can put other information in long description.

-- 
 Cheers,
 Kartik Mistry | 0xD1028C8D | IRC: kart_
 Homepage: people.debian.org/~kartik
 Blog.en: ftbfs.wordpress.com
 Blog.gu: kartikm.wordpress.com




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Prathibha <prathibhab@cdac.in>:
Bug#497399; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "B. Prathibha" <prathibhab@cdac.in>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Prathibha <prathibhab@cdac.in>. Full text and rfc822 format available.

Message #25 received at 497399@bugs.debian.org (full text, mbox):

From: "B. Prathibha" <prathibhab@cdac.in>
To: "Miriam Ruiz" <miriam@debian.org>, <497399@bugs.debian.org>
Subject: Re: Bug#497399: ITP: BOSS Presentation Tool -- BOSS Presentation Tool is a front end for keyjnote application. Keyjnote is a stylish presentation program that displays slideshows of pdf , directory containing images. In addition, BOSS Presentation ca
Date: Tue, 2 Sep 2008 11:31:52 +0530 (IST)
Sir,

The source and binary package can be downloaded from the following link:

http://code.google.com/p/bosspresentationtool/downloads/list

-- 
Regards,
Prathibha
C-DAC
Chennai






Changed Bug title to `ITP: BOSS Presentation Tool -- a front end for keyjnote' from `ITP: BOSS Presentation Tool -- BOSS Presentation Tool is a front end for keyjnote application. Keyjnote is a stylish presentation program that displays slideshows of pdf , directory containing images. In addition, BOSS Presentation can also be used to display the slide shows of odp, ppt or a pps document.'. Request was from Riccardo Stagni <unriccio@email.it> to control@bugs.debian.org. (Tue, 02 Sep 2008 22:27:03 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: bosspresentationtool -- BOSS Presentation Tool, a front end for keyjnote' from `ITP: BOSS Presentation Tool -- a front end for keyjnote'. Request was from Riccardo Stagni <unriccio@email.it> to control@bugs.debian.org. (Tue, 02 Sep 2008 22:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Prathibha <prathibhab@cdac.in>:
Bug#497399; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Kartik Mistry" <kartik.mistry@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Prathibha <prathibhab@cdac.in>. Full text and rfc822 format available.

Message #34 received at 497399@bugs.debian.org (full text, mbox):

From: "Kartik Mistry" <kartik.mistry@gmail.com>
To: 497399@bugs.debian.org
Subject: Fwd: Bug#497399: ITP: BOSS Presentation Tool -- BOSS Presentation Tool is a front end for keyjnote application. Keyjnote is a stylish presentation program that displays slideshows of pdf , directory containing images. In addition, BOSS Presentation c
Date: Sat, 6 Sep 2008 19:46:16 +0530
---------- Forwarded message ----------
From: B. Prathibha <prathibhab@cdac.in>
Date: Tue, Sep 2, 2008 at 11:29 AM
Subject: Re: Bug#497399: ITP: BOSS Presentation Tool -- BOSS
Presentation   Tool is a front end for keyjnote application. Keyjnote
is a stylish   presentation program that displays slideshows of pdf ,
directory containing images. In addition, BOSS Presentation ca
To: Kartik Mistry <kartik.mistry@gmail.com>

Sir,

Actually the package name is boss-presentation-tool

The URL for downloading the source and binary package for BOSS
Presentation Tool is:
  http://code.google.com/p/bosspresentationtool/downloads/list

How to edit the bug report for changing the package name, URL etc.,

--
Regards,
Prathibha
C-DAC
Chennai


-- 
 Cheers,
 Kartik Mistry | 0xD1028C8D | IRC: kart_
 Homepage: people.debian.org/~kartik
 Blog.en: ftbfs.wordpress.com
 Blog.gu: kartikm.wordpress.com




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Prathibha <prathibhab@cdac.in>:
Bug#497399; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Kartik Mistry" <kartik.mistry@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Prathibha <prathibhab@cdac.in>. Full text and rfc822 format available.

Message #39 received at 497399@bugs.debian.org (full text, mbox):

From: "Kartik Mistry" <kartik.mistry@gmail.com>
To: 497399@bugs.debian.org
Subject: Fwd: Bug#497399: ITP: BOSS Presentation Tool -- BOSS Presentation Tool is a front end for keyjnote application. Keyjnote is a stylish presentation program that displays slideshows of pdf , directory containing images. In addition, BOSS Presentation c
Date: Sat, 6 Sep 2008 19:46:49 +0530
Forwarding for keeping track of bug.


---------- Forwarded message ----------
From: Kartik Mistry <kartik.mistry@gmail.com>
Date: Tue, Sep 2, 2008 at 11:37 AM
Subject: Re: Bug#497399: ITP: BOSS Presentation Tool -- BOSS
Presentation Tool is a front end for keyjnote application. Keyjnote is
a stylish presentation program that displays slideshows of pdf ,
directory containing images. In addition, BOSS Presentation ca
To: "B. Prathibha" <prathibhab@cdac.in>


On Tue, Sep 2, 2008 at 11:29 AM, B. Prathibha <prathibhab@cdac.in> wrote:
> Actually the package name is boss-presentation-tool
>
> The URL for downloading the source and binary package for BOSS
> Presentation Tool is:
>   http://code.google.com/p/bosspresentationtool/downloads/list
>
> How to edit the bug report for changing the package name, URL etc.,

You can send following command to retitle ITP bug report to control@debian.org

retitle 497399 ITP: boss-presentation-tool -- BOSS presentation tool
is a front end for keyjnote
thanks

You also should specify correct license. Its not GPL, its GPL v2.

Best luck for packaging.
You also need sponsor to upload package, when its ready, you can ask
on debian-mentors mailing list or me too.

--
 Cheers,
 Kartik Mistry | 0xD1028C8D | IRC: kart_
 Homepage: people.debian.org/~kartik
 Blog.en: ftbfs.wordpress.com
 Blog.gu: kartikm.wordpress.com



-- 
 Cheers,
 Kartik Mistry | 0xD1028C8D | IRC: kart_
 Homepage: people.debian.org/~kartik
 Blog.en: ftbfs.wordpress.com
 Blog.gu: kartikm.wordpress.com




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Prathibha <prathibhab@cdac.in>:
Bug#497399; Package wnpp. (Mon, 24 May 2010 19:18:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Prathibha <prathibhab@cdac.in>. (Mon, 24 May 2010 19:18:39 GMT) Full text and rfc822 format available.

Message #44 received at 497399@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 497399@bugs.debian.org
Cc: control@bugs.debian.org
Subject: bosspresentationtool: changing back from ITP to RFP
Date: Mon, 24 May 2010 19:06:37 +0000
retitle 497399 RFP: bosspresentationtool -- BOSS Presentation Tool, a front end for keyjnote
noowner 497399
thanks

Hi,

This is an automatic email to change the status of bosspresentationtool back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 18 months.

If you are still interested in adopting bosspresentationtool, please send a mail to
<control@bugs.debian.org> with:

 retitle 497399 ITP: bosspresentationtool -- BOSS Presentation Tool, a front end for keyjnote
 owner 497399 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <497399@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team




Changed Bug title to 'RFP: bosspresentationtool -- BOSS Presentation Tool, a front end for keyjnote' from 'ITP: bosspresentationtool -- BOSS Presentation Tool, a front end for keyjnote' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:31:16 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Prathibha <prathibhab@cdac.in>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:31:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:29:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.